TAAS - Feature #377

Receipt Single
10/07/2024 04:13 PM - Junaid M

Status: Reopen Bugs Start date: 10/07/2024
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Receipt

Description

Module Name: Receipt
Existing Receipt Name: Receipt(+)

1. Like Debit Credit Note Ul, Extra Divs belof FOP left side
2. Left Side: Fop

3. Right Side: Party

4. Use same Backend Code

5. Load Only Single Fop,Party Receipt

History

#1 - 10/07/2024 04:16 PM - Junaid M
- Subject changed from Single Receipt to Single Receipt Ul

- Description updated

#2 - 10/07/2024 04:17 PM - Junaid M

- Assignee set to travvise Admin

#3 - 10/09/2024 02:25 PM - Anil KV
- Subject changed from Single Receipt Ul to Receipt

--> Single FOP, PARTY Receipt Ul Like "Debit Credit Note"
--> Sys Name "RECEIPT"
--> Use Receipt's Controller and Cs function for all operations

--> After Completing module. Any Query hard coded module sysname change to IN query and add IN ("RECEIPT_PLUS", "RECEIPT")

--> Change module sys name in Receipt+ ts file

#4 - 10/15/2024 09:44 AM - Junaid M

- Assignee changed from travvise Admin to Augustin Jose

#5 - 10/15/2024 10:33 AM - Junaid M
- Subject changed from Receipt to Receipt Single

- Assignee changed from Augustin Jose to Nithin PM

#6 - 10/18/2024 01:11 PM - Nithin PM
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#7 - 11/07/2024 09:40 AM - Nithin PM
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

05/03/2025

1/13




#8 - 11/07/2024 12:30 PM - Arathy PS
- Status changed from Coding Done to Testing Started
- Tested By set to Arathy PS

#9 - 11/07/2024 06:23 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

. Posting is missing

. Petty cash account not loading when select cash option as FOP.

. Party branch and account field should be untick by default.

. Error after we create a receipt with received cheque and then click copy and try to save.

. Data missing from bank field when FOP selected as received cheque, bank with cheque option ticked.

. Can save two receipts with same cheque number, bank and all the data same.

. Can save receipt when master branch field is blank and party field branch checkbox unticked and then branch field is entered with empty branch
field for party.

NOoO Ok~ W=

8. Wrong amount on party side when use different currency with ROE.
9. Precision issue after the first save.
10. Credit card (with customer card) not loading when FOP is selected as credit card.
11. Not clearing receipt number field when entering invalid receipt number.

12. Missing extra collection/discount from the document when reloading the saved document.

#10 - 11/12/2024 09:38 AM - Nithin PM

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 11/18/2024 04:16 PM - Theja Ponon
- File clipboard-202411181551-mihzv.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

avvise

L SOLUTION PYT LTD

Receipt Mo

..........

Receipt

Date* | 1g/11/2024

2)MISTAKES IN POSTING
3)CHANGE THE FOP INTO DEFUALT AFTER CLICKING NEW

#12 - 11/21/2024 07:12 PM - Arathy PS

05/03/2025
jome o Account
L ] Narration File Ng* = Enquiry No*~

Front e
— nternal Note Referance
Back e
8 Cash Counter* ~
= Document Status® | Active w By
heport Phone
a Posting Status® | Active w | By
dfInfa i OA
Created By: Total Received 0.00 QAR
- Status changed from Reopen Bugs to New Changes

NEW CHANGES

1. Add a drop down on the against doc label and name the other field as 'Cheque Conversion'

2. If cheque conversion is selected the against's pop up should be cheque search with status hold and represent.

3. After selecting a cheque from the pop up then in the against text field the selected cheque should show as format ~cheque no:; date; issued bank;
full amount(amount in current receipt)

4. As party Set cheque account and account field should be disabled after selecting cheque conversion ( cheque should be act as client)

5. Add a new field 'customer' on the drop down of sub customer field and can enter the party name here while using cheque conversion, it is not
mandatory.

6. Mention the work flow of the cheque conversion in the md file.

#13 - 11/30/2024 11:48 AM - Nithin PM
- File clipboard-202411301147-kw1hw.png added

clipboard-202411301147-kw1hw.png

New Check Cases

1. delete needs to be Possible From The Root doc Module where the Internal Matching settlement Was Done and can be deleted.

#14 - 12/02/2024 10:45 AM - Nithin PM
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#15 - 12/02/2024 04:18 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Error on saving a copy of an already saved receipt with FOP as received cheque, bank transfer with received cheque.

clipboard-202412021609-wffre.png
2. Error on saving a copy of receipt with FOP as credit card, corporate card.
'invalid transaction termination' -- error message.

3. Data not showing in the bank, clear date, reco no: fields after reconcilation is done.
#16 - 12/04/2024 10:14 AM - Nithin PM

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 12/10/2024 01:18 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data not showing in the bank, clear date, reco no: fields after reconciliation is done.

2. Can't delete a settled document even though the auto revoke for settlement is selected for the user.
3. Can edit, delete, print and attach in the documents after blocking them in user module privilege.

4. PD cheques deposit date should be after document date.

5. Connect with 'Maximum Days of PD Cheque Received Date' in admin settings.

6. For credit card service charge field is not showing without tax.

7. Own card is loading in fop

1. If Menu service sys name and global constant name is same.
2. Sys name on document no: focus out and after saving.
3. Sys name while redirection.

#18 - 12/18/2024 02:23 PM - Arathy PS
NEW CHANGES

1. Changes in Extra Collection Section

--Need Tax like bank charge or CC charge.

2. Add the amount(not Inclusive Tax) party amount label
--Posting

Credit: Output tax (extra pay and tax both are credit)

#19 - 12/20/2024 12:29 PM - Arathy PS
ISSUE FOUND

1. Sub customer data gets missing in edit mode.

2. While saving the data with discount/extra pay tally issue occurring.

3. Document search not showing result while searching using party

-- this.mdIDrCrNoteMaster.arlFkReleatedLedgerlds = []; (both in cs and ts)

#20 - 12/27/2024 04:25 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 12/28/2024 02:15 PM - Arathy PS

- File clipboard-202412281211-17ges.jpg added

- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

ISSUE FOUND

1)POS/PG CHARGE IS NOT CHANGING BASED ON DATE

CHANGES

1. Change Received(Party), FOP
2. When extra pay --Cr, Discount -- Dr

clipboard-202412281211-17ges.jpg

#22 - 01/08/2025 10:05 AM - Arathy PS

- File clipboard-202501081004-8ex9l.png added

- File clipboard-202501081004-aatpl.png added

- Status changed from New Changes to Reopen Bugs

- Assignee changed from Nithin PM to Augustin Jose

#23 - 01/08/2025 10:14 AM - Arathy PS

- File clipboard-202501081012-pupx8.png added
- File clipboard-202501081013-xx3df.png added
- File clipboard-202501081013-fpoln.png added

ISSUE FOUND

1. Wrong currency in the posting of receipt.
Travvise

Receipt

e Receipt No
Payee Name ~

Narration

Intemal Note

Deocument Status™

Posting Status™

Created By:

Modified By:

Against Doc ~

y Customer "~
Main Ledger™

Sub Customer ~

Narration

Branch®

Department”

Cost Center

RV/001

Active

Active

Administrator(08/01/2025 10:00 AM)

Date” | 08/01/2025

Party: 750.00 QAR
Cusoo1 AKBAR RAHMAN
Sundry Debtors
BROO1T: Main
DPO01= Account
€C001: Cost Centre 1
vy

&

& 00004R

INR e

Branch” | BROOT: Main e
Department’ | DPOOT:: Account ~
e N Enquiry No™ -
Reference
Cash Counter® M
prane
Recemed(Party) 750.00 QAR
Credit(FOF) 750.00 QAR
FOP
FOP*~ | gnkoot icict e
Reterence REFOO1 -
Amount In INR * 1500.00
ROEC 200
Amountin QAR | 75000
Biscount Extra Collection

Depositor Name

Reference

Dec Ne: RV/001

Summary = Details
Posting Summar
o By: |

By #  Main Ledger

Y
Ledger

CUS001: AKBAR RAHMAN

BNK0O1z ICICI

2. Data changed when reloaded the document.

Status™

Date

08/01/2025

08/01/2025

Total

Active (Posting Status) ¥ 3 more

Transaction Currency
Currency Debit Credit
INR 0.00 1500.00
QAR 1500.00 0.00
INR 0.00 INR 1500.00
QAR 1500.00 QAR 0.00

YT a B B8

&

Amount In Base 1 (QAR)

Debit

0.00

750.00

750.00

Credit
750.00

0.00 ol

750.00

& Close

Receipt No
Fayee Name ~
Narration

Internal Note
Document Status™
Posting Status™
Modified By:

Against Doc +
Customer *~
Main Ledger®

Sub Custorner ~

Narration
Department”

Cost Center

RV/001
Active

Administrator(08/01/2025 10:00 AM)

Date” | 08/01/2025

Party: 1500.00 QAR
Cusoo1 AKBAR RAHMAN
Sundry Debtors
BROO1:=: Main
DP001:: Account
(CCO001:: Cost Centre 1
vy¥

3.0wn card load in fop

05/03/2025
Reference

Amount In QAR *

Depositor Name

Reference
Enquiry No™ -
icicl
QAR
v
#24 - 01/08/2025 10:15 AM - Arathy PS
- File deleted (clipboard-202501081004-aatpl.png)

#25 - 01/08/2025 10:15 AM - Arathy PS
- File deleted (clipboard-202501081004-8ex9l.png)

#26 - 01/10/2025 06:42 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#27 - 01/11/2025 03:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Can't save data if current date and date entered is different.

#28 - 01/13/2025 09:51 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 01/23/2025 04:54 PM - Theja Ponon
- File clipboard-202501231635-8oax4.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

Receipt
Dat=" | 23/01/2025 e a Branch® - |
Department® W |
File Mo* - Enquiry No*-
P
Reference
P
Cash Counter® w
ctive w By
Phone
ctive w  |By:
Received From Farty 0.00 JAR
Cradit(FOP) 0.00 QAR
Party: 0.00 QAR FOP
£ | 0.00 QAR FOP=- | yRCOO! Virtual Cardcustomer) QAR v
& w~ Reference
w Amount In QAR * | poo
Discount Extra Collection

P
2)Corporate card (customer) is not loading
3)Details given on choosing perticular fop is not clearing after changing the fop into another,on try to change as previous fop all the details are
loading--in case of upi,Bank deposit
4)Incorrect value in deposit bank field
5)Issue on subcustomer dropdown field
6.After copying the cheque number is not clearing ,after changing the cheque number and saving will generate error
7)Expiry date when FOP is credit card not showing on edit mode.

8)Cant update a receipt after deleting all the document that modify the status of receipt.
9)Same cheque no: should not be allowed even if issued bank is different

#30 - 02/20/2025 10:13 AM - Arathy PS
- File clipboard-202502201012-eszc2.png added
- File clipboard-202502201012-wmajx.png added

ISSUE FOUND

1. When we give extra collection on a receipt.

avvise eceipt
Nullable object must have avalue,
ReceiptNo | RV/D11 Date™ | 19/02/2025 <]l Branch™ | BROO1: Main
Payes Name ~ Department” | DPQQ1:: Account
Narration File No* = Enquiry No™ ~
P
Internal Note Reference
#
Cash Counter
Document Status™  Active v By
Phone
Posting Status”  Active v oy
Created By:  Administrator(19/02/2025 02:25 PM) e 200.00 QAR
Modified By: - Administrator(19/02/2025 03:27 PM)(1] Eerda ssimn 20.00 Q%R m
Received From Party 180.00 QAR
Credit(FOP) 200.00 QAR
Party: 180.00 QAR FOP
Against Doc ~ & |0.0004R Cheque *~ | RCHOO1 Received Cheque QAR
Account™~ | CUS003 CREDIT LIMIT CUSTOMER QAR v Referance
Main ledger” | Sundry Debtors ~ AmountInQAR® | 20000
Sub Customer ~ Discount Extra Collection @
Narration i
4 Bxra Collection™ ~ | 11003 Management Fee
Branch” BROO1:: Main v Remarks
#
Department” N v
DE001 - Rccount] AmountInQAR™ | 20,00
‘Cost Center ~
Cheque No® | 004
o
ID No. MName
Date™ | 19/02/2025 [ Deposit Date™ | 19/02/2025 Qo n
Bank® | BKCA002 Qe
Deposit Bank Reco No
(A0

2. Incorrect amount when currency is changed in FOP and party.

RECEIPT has been Saved.
ReceiptNo | RV/014 Date™ | 19/02/2025 (I ] Branch™ | BROOT: Main
Payee Name - Department’ | DPQO1:: Account
Narration File No*~ Enquiry No*~
4
Intemal Note feference
s
Cash Counter”
Document Status* | Active v By
Phone
Posting Status™ | Active v By
Created By:  Administrator(19/02/2025 03:50 PM) [ REn Ry 5000 Q4R
Modified By: - Administrator{19/02/2025 03:52 PM)[2] Credit(FOP) 50.00 QAR
Party: 50SAR FOP
Against Doc ~ dy 0.000AR Cheque ™~ RCHODT Received Cheque AED
Customer ™~ CUsoo4. COST CENTRE CHECK SAR ~ Reference
Main Ledger | §ndry Debtors v = AmountIn SAR" | 250,00
Sub Customer ~ ROE® | 500
Narration Amount InQAR™ | 5000
4
Branch BRODT: Main o mount In AED* | 25000
o ROE"
Department DP001: Account 7 =0
Cost Center v Amount In QAR | 50.00
Discount Extra Collection
vuy
Cheque No® | 007
ID No. Name
Date™ | 19/02/2025 [ <] Deposit Date™ | 19/02/2025 Q0
Bank’ | BKADO1 sal
Deposit Bank Reco No
Clear Date Status hold
(A)(¥)

#31 - 02/20/2025 06:03 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 02/24/2025 04:30 PM - Arathy PS
- File clipboard-202502241629-16e9n.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Mode of receipt is not showing in the print.

Receipt
To . customer No RV/001
Date 21/02/2025
Code : CUS001 TRN No
Phone Reference
# Mode Of Receipt Reference Cur Amount
1 undefined:: undefined QAR 100.00

One Hundred Qatari riyal

Created By:admin Received By:

Approved By:

100.00 QAR

#33 - 02/25/2025 09:33 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 03/03/2025 02:18 PM - Theja Ponon
- File clipboard-202503031418-b1ojm.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)on saving with received cheue

05/03/2025
Receipt

jsnSqlRes: {"sinSqlCustomStatus” : -1, "strSglCustomStatusCode” : "ERROR", "strSqiCustomMessage™ : "Received Cheque Log Save Failed”, "strSqlCustomErrorType” : “DATABASE_SYSTEM_ERROR", "strSqICi ode” : null, "str "1 "insert or update on »
table \"tbl_received_cheque_log\" violates forsign key constraint \'thl_received_cheque_log_fk received_doc_log id_fkey\™, "strSqlSysExceptionDetail” : "Key (fk_received_doc_log id)=(0) is not present in table \'thl_documents_log\".", strSglSysExceptionHint” : “remote
SOL command: INSERT INTO public.tbl_received_cheque_log(pk_received_cheque_log_id, fl_received_cheque._id, fi_received_dac_log_id, fk_received_doc_id, fk_last_doc_id, fi_cheque_ac_id, fk_cheque_posting_ac_id, f_deposit_bank_ac_id, vhr_cheque_no, dat_cheque,
vhr_issued_bank, chr_root_cheque status, chr_current_cheque_status, dat_deposit, vhr_name_on_cheque, vhr_id_number, trt_remarks, dat_cleared, vhr_reco_no, vhr_ledg_currency, dbl ledg_cur_roe, dbl_ledg_cur_amount, vhr_base_currency, dbl_base_cur_amount)
VALUES (51, 52, 53, $4, 55, $6, 57, $8, 59, $10, $11, $12, $13, §14, 515, $16, $17, 518, $19, 520, 521, 522, 523, 524) RETURNING pk_received_cheque_log_id\nSQL statement \'INSERT INTO log.tbl_received_cheque_log (pk_received_cheque_log_id,\n
fi_received_cheque_id\n fk_received_doc_log_id.\n fk_received_doc_id\n fi_last doc_id \nkn flc_cheque ac_id \n fk_cheque_posting_ac_id \n fk_depesit bank_ac_id \n\n vhr_cheque_no \n dat_cheque \n vhr_issued_bank\n chr_root_cheque status, \n
chr_current_cheque_status , \n dat_depasit \n\n vhr_name_on_cheque \n vhr_id_number,\n txt_remarks \n\n dat_cleared,\n vhr_reco_no,\n\n vhr_ledg_currency \n dbl_ledg_cur_roe \n dbl_ledg_cur_amount\r\n vhr_base_currency \n dbl_base_cur_amount)\n\n SELECT
(SELECT COALESCE(MAX(pk received_cheque log_id), 0) + 1 FROM logithl_received_cheque._log) AS pk_received_cheque_log_id.\n pk_received_cheque_idAn CAST{binDocumentLogld AS BIGINT)An fk_received_doc_id\n fi_last_doc_idAn\n fk_cheque_ac_id \n
fk_cheque_posting_ac_id,\n fk_deposit_bank_ac_id\n\n vhr_cheque_no \n dat_cheque\n vhr_issued_bank \n chr_root_cheque_status, \n chr_current_cheque_status , \n dat_deposit \nn vhr_name_on_cheque \n vhr_id_number\n txt_remarks \n\n dat_cleared\n
vhr_reco_no,\rn vhr_ledg_currency \n dbl_ledg_cur_roe\n dbl_ledg_cur_amount\n\n vhr_base_currency \n dbl_base_cur amount\n\n FROM receivedchequethl_received_cheque WHERE pk_received_cheque_id = CAST(binReceivedChequeld AS BIGINT)\n RETURNING
pk_received_cheque_log_id\"\nPL/pgSCL function sp_insert_or_update_received_cheque_log(bigint bigint) line 9 at SOL statement\nSQL statement \"CALL sp_insert_or_update_received_cheque_log(CAST(jsnReceivedCheque-> > 'binReceivedChequeld' AS
BIGINT):BIGINT, binDocumentLogld, jsnSqlRes)\"\nPL/pgSQL function sp_insert_or_update_received_cheque_base(jsonb,bigint) line 108 at CALL\nSQL statement \"CALL sp_insert_or_update_received_cheque_base(jsnReceivedCheque, binDocumentLogld,
jenSqlRes\"\nPL/pgSQL function sp_insert_or_update_mad_of receipt_base(jsonb,smallint bigint) line 55 at CALL\nSOL statement \"CALL <p_insert_or_update_mod_of_receipt_t (OfReceipt, sinlsUpdate:SMALLINT, binDocumentLogld,
jsnSpOutRes)\"\nPL/pgSQL function sp_insert_or_update receipt{jsonb,jsonblljsonblljsonb,bigintll bigint[Lbigint] bigintl]) line 132 at CALL", “binSqIPk” : 0, "binSqlLogPk” : 0, "strSqiDocNo” : null, "detSqlOtherData” : null)
Receipt No Date* | 03/03/2025 [ <] Branch® | BROO1: Main ~
Payee Name - Department™ | DPOQ1: Account ~
Narration File No™ Enquiry No* =
£
Internal Note Reference
y
Cash Counter™ v
Document Status” | Active v By
Phone
Posting Status”™ | Active v By
Created By:  Administrater{03/03/2025 02:12 Ph) Recetved From Party 100.00 GAR
Modified By: Credit(FOP) 100.00 AR
Party: 100.00 QAR FOP
Against Doc ~ &y 0.0004R FOP™~ | RrcHOO1 Received Chegue QAR ¥
Account™ > | cyspo1 Customer & QAR v Reference
Main Ledger”  Sundry Debtars v Amount In QAR * | 100.00
Sub Customer + Discount Extra Collection
Narration
P Cheque No™ | 1
Branch™ BROO1:: Main ~ ID No. Name
Department” DPOOT: Account v Date* | 04/03/2025 ] Deposit Date® | 04/03/2025 o0
Y Y
Cost Cener v EDGA

#35 - 03/03/2025 03:45 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 03/08/2025 12:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Created a main ledger for customer in COA-->Created a customer using main ledger--> deleted the customer--> changed main ledger to ledger-->
created a customer using same name and different main ledger-->In receipt when we enter the customer name stille the previous main ledger is
showing.

#37 - 03/10/2025 07:39 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 03/17/2025 12:51 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Charge not showing based on the percentage and amount we entered in POS/PG when FOP is corporate/credit card.
2. Load POS/PG based on Fop Currency (If pos/pg currency is different from fop currency then that pos/pg should not be loaded here)

#39 - 03/18/2025 02:40 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#40 - 03/21/2025 12:05 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Cant load original receipt when saved the original receipt from another user and try to save another recipt by copying the og receipt from another
user
steps to reproduce

1.create a receipt by login as user A
2. login into user B reload the receipt and copy the receipt and save new receipt
3.try to reload the receipt

#41 - 03/21/2025 02:22 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#42 - 03/22/2025 02:09 PM - Arathy PS

- File clipboard-202503221202-8new0.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. While taking copy of a receipt which has FOP as cheque and then cheque is deposited/cancelled/returned then tried to take copy of the receipt but
can't save the receipt.

2. Wrong date in the clear date field (actually cleared on 22/03/24)

3. Wrong date format on cleared date field.

Travvise Receipt

Cheque with No (001) status has been changed. Modification Not Allowed.

Main Ledger®

Sub Customer ~

Narration

Branch”

Department*

Cost Center

Sundry Debtors

BROO1: Main

DPO01:: Account

#43 - 03/24/2025 02:19 PM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#44 - 03/25/2025 02:28 PM - Arathy PS
- File clipboard-202503251415-3lteo.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Wrong amount in posting for a currency.

05/03/2025

ate” | 23/03/2025

" | BKAOD2

Deposit Bank

QB

AXIS

Clear Date

2025-03-21T18:30:00Z

Receipt No | RV/008 Date™ | 22/03/2025 o n Branch® | BROO1: Main v
Payee Name = Department”  DROO1: Account v
Narration File No* = Enquiry No* +
4
Internal Note Reference
y
Cash Counter” v
Document Status” | Active v By
Phone
Posting Status® | Active ~ By
Created By:  Administrator(22/03/2025 11:48 AM) Ry 100.00 QAR
Modified By: Credit(FOP) 100.00 QAR
Party: 10000 QAR FoP
Against Dog ~ & 0.000R FOP ™~ | rcHOO1 Received Chequ, QAR
Customer ™~ cyspos AARIF AAMAL ASLAM QAR v Referer

Extra Collection

Name

Deposit Date*

Reco No

Status

dr

23/03/2025 [>]

BAR/002

clear(Bank Reco)




Receipt

Receipt No
Payee Name =
Narration

Internal Note
Document Status”

Posting Status*

Against Doc =
Employes *~
Main Ledger®

Sub Customer ~

Narration
Branch”
Department*

Cost Center

Modified By: |

RV/003

Summary

Created By: |

Date” | 25/03/2025

Branch*

<]

BROO1:: Main

Dec Mot RV/003 Status” | Active (Posting Status) % 3 more % - Ok
Details
Posting Summary T @ 2

#  Main Ledger Ledger Date Transaction Currency Amount In Base 1 (QAR)

Currency Debit Credit Outstanding Debit Credit

1 LMOOG: Provision For Salary EMP003:; Employee C 25/03/2025  EUR 000 600.00 300.00 000 200.00

AMOOS:: Cash In Hand Account  CAS001: Cash 25/03/2025 QAR 600.00 000 600.00 200.00 000 QAR
Total EUR 0.00 EUR 600.00 EUR 300.00 200.00 200.00
QAR 600.00 QAR 0.00 QAR 600.00

[ Close

#45 - 03/25/2025 04:43 PM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 03/27/2025 01:00 PM - Arathy PS
- File clipboard-202503271019-noukf.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. POS/PG missing in edit mode.

Travvise Receipt
ReceiptNo | R/012 Date” | 27/03/2025 > Branch™ | BRO0T: Main .
Payee Name ~ Department” | DPQO1: Account
Narration File No™ - Enquiry No™ -
¥
Internal Note Referance
y
Cash Counter
Document Status™ | Active v By
Phone
Posting Status™ | Active v By
Created By: Administrator(27/03/2025 10:17 AM) Received From Party 1000.00G4R
Modified By: Credit(FOP) 1000.00 QAR
Party: 1000.00 QAR FOP
Against Doc ~ & 00004R FOP=~ | cRrooo2 Crediit Card Customer QAR v
Custemer ™~ cusoot ANWAR ASLAM KHAN & | QAR v Reference
Main Ledger™ | Sundry Debtors ~ Amountln QAR | 1000.00
Sub Customer ~ Discount Extra Collection
Narration
~ POS/PG* -
Branch* BROO1: Main i Card Number* | 001
Department” DPO01: Account 7 Issued Bank | S8l
Cost Center hd Authorised Code
Service Charge | 2000 %| 200
vy
Expiry Date  28/03/2025 e n
Deposit Bank: Clear Date: Reco No:

2. Incorrect time in clear date field.
3. Not showing data in deposit bank after pos/pg reconciliation.
4. Reco doc no: is not cleared while taking copy of an already cleared doc (POS/PG reco no)

#47 - 04/01/2025 10:12 AM - Theja Ponon

Issue Fixed

05/03/2025 11/13



1)Tally issue while saving with different currency

#48 - 04/02/2025 05:43 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 04/05/2025 10:40 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

1. In the pop up label, Party (Cr), FOP (Dr)
2. Add reference in the party pop up.

#50 - 04/08/2025 12:24 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

#51 - 04/09/2025 04:56 PM - Arathy PS
- File clipboard-202504091557-sdrnj.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Incorrect data showing in issued bank field.
2. While removing cash counter from a saved receipt.

Receipt
Error converting value *null to type ‘SystemNullable 1 [SystemInt64]. Path ‘mdIR hCounterld', line 1, position 6875.
ReceiptNo | RV/007 Date” | 07/04/2025 ] Branch”™  BRO01: Main ~
Payee Name ~ Department” | DPOOT: Account v i
Narration File No™~ Enquiry No® -
p
Internal Note Reference » )
’ Cash Counter” ~
Document Status* | Active -
Phone
Posting Status” | Active v By
8 Print
Created By: Administrator(00/04/2025 03:44 PM) e R ) 300.00 QAR
Madified By: ~ Administrator(09/04/2025 03:50 PM)[1] Credit(FOP) 300.00 QAR
Party (Cr): 300.00 QAR FOP (D)
Against Doc ~ & 0000AR FOP*~ | RcHoo1 Received Cheque INR v
Account ™~ cus002 ANWAR ASLAM FARHAAN & | INR v Reference
Main Ledger  Sundry Debtors v AmountinINR* | 120000
Sub Customer ~ ROE* | 400000000
Narration Amount In QAR* | 30000
2
— Discount Extra Callection
Branch® BROO1: Main v ChequeNo™ | 005
Department” DPO0T: Account ~ 1D No Name
Cost Center v Date” | 09/04/2025 ]| Deposit Date” | 09/04/2025 (<IN
Bank”  BKAOD1 SBI
) Deposit Bank Received Cheque Reco No
Clear Date Status Hold
#52 - 04/29/2025 03:02 PM - Theja Ponon
- File clipboard-202504291501-glads.png added
Files
clipboard-202411181551-mihzv.png 88.8 KB 11/18/2024 Theja Ponon
clipboard-202411301147-kw1hw.png 182 KB 11/30/2024 Nithin PM
clipboard-202412281211-17ges.jpg 443 KB 12/28/2024 Arathy PS
clipboard-202501081012-pupx8.png 144 KB 01/08/2025 Arathy PS
clipboard-202501081013-xx3df.png
clipboard-202501081013-fpoln.png
clipboard-202501231635-80ax4.png
clipboard-202502201012-eszc2.png
clipboard-202502201012-wmajx.png
clipboard-202502241629-16e9n.png
clipboard-202503031418-b1ojm.png
clipboard-202503221202-8new0.png
clipboard-202503251415-3lteo.png
clipboard-202503271019-noukf.png
